<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>{{ isset($title) ? $title : 'Page' }} - CineFlex</title>
    <link rel="stylesheet" href="{{ asset('css/style.css') }}">
    @yield('head')
</head>
<body>
<header>
    <span>CineFlex</span>
    <div id="links">
        <a href="{{ route('home') }}">Home</a>
        <a href="{{ route('movies') }}">Movies</a>

        @if (Auth::check())
            <a href="{{ route('dashboard') }}">Dashboard</a>
            <a href="{{ route('logout') }}">Logout</a>
        @else
            <a href="{{ route('login') }}">Login</a>
        @endif
    </div>
</header>
<main>
    @yield('content')
</main>
</body>
</html>
