<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Room extends Model
{

    protected $table = 'rooms';
    protected $primaryKey = 'room_id';
    public $timestamps = false;
    protected $fillable = [
        'room_name',
        'room_rows',
        'room_columns',
        'user_id', // who added the room?
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];

    public function showings()
    {
        return $this->hasMany(Showing::class, 'room_id', 'room_id');
    }


}
