@extends('layout')

@section('content')

    <section>
        <h1>Now playing:</h1>
        <hr/>
        <div id="movies">
            @foreach($showings as $showing)
                <a href="/movie/{{$showing->movie->movie_id}}">
                    <img src="{{$showing->movie->movie_image}}" alt="{{$showing->movie->movie_name}} Poster" width="200px">
                    <div class="details">
                        <span>{{$showing->movie->movie_name}}</span><br/>
                        <span>{{$showing->movie->movie_length}} min</span>
                    </div>
                </a>
        @endforeach
    </section>

@endsection
